Subject: bug#41005: problem with rendering Persian text in Emacs 27

From: Eli Zaretskii <[email-masked]>
Date: Fri, 05 Jun 2020 09:21:00 +0300

> From: hossein valizadeh <[email-masked]>
> Date: Fri, 5 Jun 2020 09:16:53 +0430
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], 
> 	Nicholas Drozd <[email-masked]>
> 
> I tried the patch.

Please tell which patch was that, and in what Emacs version you tried
it.  (Please understand that you are generally talking to people some
of whom don't read Arabic or Persian, so the more details you supply
the less misunderstanding and confusion will follow, and the faster
this problem will be solved.)

> The eww problem is solved, but the problem still there, when I enable auto-fill-mode or
> column-number-mode.
> 
> Please look at this video file for a better understanding:
> http://s13.picofile.com/d/8399189550/7eeb413f-0df7-4da6-9db1-1632c9fc749f/out.mkv
> https://filebin.net/mzmjm74lp7wsxr8e
> https://gofile.io/d/H8xk26

I cannot play this on my system, I see a bunch of ads (or what looks
like ads), and the name of a .mkv file.

> For example, if you type in the following sentence:
> این نام است که می‌ماند
> 
> Then go back a few characters in the same line and type words randomly. You will see that the letters in
> some words are displayed separately. I type a few words at random, after the word این and before the word
> نام :‌
> 
> این فراموشی را به همه اینکه فرمت مراتب افتتاح گرامی گرایش سراسیمه نام است که می‌ماند
> 
> This line should look like this:
> 
> http://s12.picofile.com/file/8399190550/correct.png
> 
> ‌But if one of the auto-fill-mode or column-number-mode is enabled. it will be displayed this way: 
> 
> http://s13.picofile.com/file/8399190584/malformed.png

Please show a full recipe for reproducing this, starting from
"emacs -Q", and describing every step to reproduce the result.  Please
tell the codepoint of each character you type to reproduce the problem
and each Emacs command.  I'd also greatly appreciate if you
specifically point out at which parts of the display to look at what
differences to pay attention to.  This is needed to fully understand
the problem and analyze its root cause(s), given that not all of us
can read the Arabic script.

The master branch has recently got a few improvements in this area, so
please use that version of the code if you can.  And in any case,
please always state in what version you see which problem.

Thanks.